Subject: Re: bug#882: /etc/logrotate.d/lighttpd: Questionable use of invoke-rc.d

From: Mark Hindley <[email-masked]>
Date: Tue, 1 Apr 2025 17:36:48 +0100

Control: tags -1 debian

Opty,

On Tue, Apr 01, 2025 at 02:41:25PM +0200, Opty wrote:
> Package: lighttpd
> Version: 1.4.69-1
> 
> /etc/logrotate.d/lighttpd uses invoke-rc.d to notify lighttpd to
> reopen logs but it doesn't work when using
> policy-rcd-declarative-deny-all so shouldn't the logrotate
> configuration snippet use rather 'service' ?

Possibly, but I am not sure. Certainly all the other /etc/logrotate.d examples I
can find use invoke-rc.d. It may be to prevent rotation in chroots and the like
when it would fail.

However, I am sure that lighttpd isn't forked in Devuan and so this should be
reported directly to Debian's BTS.

Thanks

Mark